> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for documents

> Searches for documents based on the provided query and optional filters.

## Search for documents

Searches for documents based on the provided query and optional filters.

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "query": "string",
    "folder_id": {},
    "tag_name": {},
    "owner_id": {}
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "job_status_id": 123,
    "search_id": 123,
    "status": "string",
    "error_message": {}
  }
  ```
</ResponseExample>
